from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, File

Vdb_Config_2_V0_1_0 = CommandToolBuilder(tool="vdb_config.2", base_command=["vdb-config.2"], inputs=[ToolInput(tag="in_all", input_type=Boolean(optional=True), prefix="--all", doc=InputDocumentation(doc="print all information [default]")), ToolInput(tag="in_cfg", input_type=Boolean(optional=True), prefix="--cfg", doc=InputDocumentation(doc="print current configuration")), ToolInput(tag="in_files", input_type=Boolean(optional=True), prefix="--files", doc=InputDocumentation(doc="print loaded files")), ToolInput(tag="in_load_path", input_type=Boolean(optional=True), prefix="--load-path", doc=InputDocumentation(doc="print load path")), ToolInput(tag="in_env", input_type=Boolean(optional=True), prefix="--env", doc=InputDocumentation(doc="print shell variables")), ToolInput(tag="in_modules", input_type=Boolean(optional=True), prefix="--modules", doc=InputDocumentation(doc="print external modules")), ToolInput(tag="in_set", input_type=Boolean(optional=True), prefix="--set", doc=InputDocumentation(doc="<name=value>            set configuration node value")), ToolInput(tag="in_interactive", input_type=Boolean(optional=True), prefix="--interactive", doc=InputDocumentation(doc="create/update configuration")), ToolInput(tag="in_interactive_mode", input_type=String(optional=True), prefix="--interactive-mode", doc=InputDocumentation(doc="interactive mode: 'textual' or 'graphical'\n(default)")), ToolInput(tag="in_restore_defaults", input_type=Boolean(optional=True), prefix="--restore-defaults", doc=InputDocumentation(doc="create default or update existing user")), ToolInput(tag="in_cloud_info", input_type=Boolean(optional=True), prefix="--cloud-info", doc=InputDocumentation(doc="display cloud-releated information")), ToolInput(tag="in_report_cloud_identity", input_type=String(optional=True), prefix="--report-cloud-identity", doc=InputDocumentation(doc="give permission to report cloud instance")), ToolInput(tag="in_set_aws_credentials", input_type=File(optional=True), prefix="--set-aws-credentials", doc=InputDocumentation(doc="select file with AWS credentials")), ToolInput(tag="in_set_aws_profile", input_type=String(optional=True), prefix="--set-aws-profile", doc=InputDocumentation(doc="set AWS profile")), ToolInput(tag="in_accept_gcp_charges", input_type=String(optional=True), prefix="--accept-gcp-charges", doc=InputDocumentation(doc="agree to accept charges for GCP usage")), ToolInput(tag="in_set_gcp_credentials", input_type=File(optional=True), prefix="--set-gcp-credentials", doc=InputDocumentation(doc="select file with GCP credentials")), ToolInput(tag="in_prefetch_to_cwd", input_type=Boolean(optional=True), prefix="--prefetch-to-cwd", doc=InputDocumentation(doc="prefetch downloads to current directory\nwhen public user repository is set\n(default: false)")), ToolInput(tag="in_prefetch_to_user_repo", input_type=Boolean(optional=True), prefix="--prefetch-to-user-repo", doc=InputDocumentation(doc="prefetch downloads to public user\nrepository when it is set (default)")), ToolInput(tag="in_proxy", input_type=Boolean(optional=True), prefix="--proxy", doc=InputDocumentation(doc="<uri[:port]>             set HTTP proxy server configuration")), ToolInput(tag="in_proxy_disable", input_type=String(optional=True), prefix="--proxy-disable", doc=InputDocumentation(doc="enable/disable using HTTP proxy")), ToolInput(tag="in_cfg_dir", input_type=File(optional=True), prefix="--cfg-dir", doc=InputDocumentation(doc="set directory to load configuration")), ToolInput(tag="in_root", input_type=Boolean(optional=True), prefix="--root", doc=InputDocumentation(doc="enforce configuration update while being\nrun by superuser")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_configuration", input_type=String(), position=0, doc=InputDocumentation(doc="-o|--output <x | n>              output type: one of (x n), where 'x' is xml ")), ToolInput(tag="in_identity", input_type=String(), position=0, doc=InputDocumentation(doc="--accept-aws-charges <yes | no>  agree to accept charges for AWS usage ")), ToolInput(tag="in_quit_dot", input_type=String(), position=1, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="vdb-config.2 : 2.10.9"))], outputs=[], container="quay.io/biocontainers/sra-tools:2.10.9--pl526haddd2b5_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Vdb_Config_2_V0_1_0().translate("wdl")

